org.eclipse.aether.util.repository.layout

## Class MavenDefaultLayout

- java.lang.Object
- - org.eclipse.aether.util.repository.layout.MavenDefaultLayout

- All Implemented Interfaces:
    RepositoryLayout

  Deprecated.
  Repository connectors should use the `org.eclipse.aether.spi.connector.layout.RepositoryLayoutProvider` instead.

      @Deprecated
      public final class MavenDefaultLayout
      extends Object
      implements RepositoryLayout

  The layout for a Maven remote repository of type "default".

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MavenDefaultLayout()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getPath(Artifact artifact)` Deprecated. Gets the URI to the location within a remote repository where the specified artifact would be stored.
    `URI` | `getPath(Metadata metadata)` Deprecated. Gets the URI to the location within a remote repository where the specified metadata would be stored.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MavenDefaultLayout

          public MavenDefaultLayout()

      Deprecated.

  - ### Method Detail

    - #### getPath

          public URI getPath(Artifact artifact)

      Deprecated.
      Description copied from interface: `RepositoryLayout`
      Gets the URI to the location within a remote repository where the specified artifact would be stored. The URI is relative to the root directory of the repository.
      Specified by:
        `getPath` in interface `RepositoryLayout`
      Parameters:
        `artifact` - The artifact to get the URI for, must not be `null`.
      Returns:
        The relative URI to the artifact, never `null`.

    - #### getPath

          public URI getPath(Metadata metadata)

      Deprecated.
      Description copied from interface: `RepositoryLayout`
      Gets the URI to the location within a remote repository where the specified metadata would be stored. The URI is relative to the root directory of the repository.
      Specified by:
        `getPath` in interface `RepositoryLayout`
      Parameters:
        `metadata` - The metadata to get the URI for, must not be `null`.
      Returns:
        The relative URI to the metadata, never `null`.

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.